<html>

<head>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css">
    <script type="text/javascript" src="jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>
    <style type="text/css">
    </style>

</head>

<body>




    <br>

    <h1>Check if images and file are loaded jQuery</h1>
    <p>



        <img id="image1" width="100px" height="100px" src="http://www.effigis.com/wp-content/uploads/2015/02/Iunctus_SPOT5_5m_8bit_RGB_DRA_torngat_mountains_national_park_8bits_1.jpg" />
        <img id="image2" width="100px" height="100px" src="2.jpg" />
        <img id="image3" width="100px" height="100px" src="3.jpg" />

        <p>
            <span id="result1"></span>
        </p>
        <p>
            <span id="result2"></span>
        </p>
        <p>
            <span id="result3"></span>
        </p>
        <p>
            <span id="result4"></span>
        </p>




        <!-- Modal -->
        <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <!-- Blue -->
                        <div class="progress" id="percent">
                            <div class="progress-bar"></div>
                        </div>
                    </div>

                </div>

            </div>
        </div>




</body>

</html>

<script type="text/javascript">


    let temp = 0;
    $('#myModal').modal('show');

    fetch('homework2_1.json')
        .then(function (response) {
            return response.json();
        })
        .then(function (myJson) {
            console.log(myJson);

            $('#result4').text('Json is loaded!');
            temp += 25;
            $('#percent').attr('style', `width: ${temp}%`)
            // debugger;

            if (temp == 100) 
            {
                $('#myModal').modal('hide');
            }

        });

    $('#image1').on("load", function () {
        $('#result1').text('Image is loaded!');
        temp += 25;
        $('#percent').attr('style', `width: ${temp}%`)
        // debugger;

        if (temp == 100) {
            $('#myModal').modal('hide');
        }

    });
    $('#image2').on("load", function () {
        $('#result2').text('Image is loaded!');
        temp += 25;
        $('#percent').attr('style', `width: ${temp}%`)
        // debugger;
        if (temp == 100) 
        {
            $('#myModal').modal('hide');
        }

    });
    $('#image3').on("load", function () {
        $('#result3').text('Image is loaded!');
        temp += 25;
        $('#percent').attr('style', `width: ${temp}%`)
        // debugger;
        if (temp == 100) 
        {
            $('#myModal').modal('hide');
        }
    });

</script>